#include <iostream>

using namespace std;

int main()
{
int a;
int b;
int m;
int n;
int razlika_x_osa1;
int razlika_x_osa2;
int razlika_y_osa1;
int razlika_y_osa2;

cin>>a; cin>>b;
cin>>m; cin>>n;

razlika_x_osa1 = m-a;
razlika_x_osa2 = a-m;
razlika_y_osa1 = n-b;
razlika_y_osa2 = b-n;

if(a==m && b!=n){
cout<< "2" << endl;
}

if(b==n && a!=m){
cout<< "2" << endl;
}

if(a!=m && b!=n && razlika_x_osa1-razlika_y_osa1 == 0 || razlika_x_osa2 - razlika_y_osa2 == 0 && a!=m && b!=n || a!=m && b!=n && razlika_x_osa1 + razlika_y_osa1 == 0 || razlika_x_osa2 + razlika_y_osa2 == 0 && a!=m && b!=n){
cout<< "1" << endl;
}else{
cout<< "0" << endl;
}
return 0;
}